Up

# NSSecureTextField

### Authors

Gregory John Casamento (`borgheron@yahoo.com`)
Nicola Pero (`nicola@brainstorm.co.uk`)

> Secure Text field control class for hidden text entry

Copyright: (C) 1999 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSSecureTextField class
2. Software documentation for the NSSecureTextFieldCell class

# Software documentation for the NSSecureTextField class

## NSSecureTextField : NSTextField

> Declared in:
>   AppKit/NSSecureTextField.h

Availability: OpenStep
Description forthcoming.
Method summary

- -echosBullets
- -setEchosBullets:

### echosBullets

- (BOOL) echosBullets;
Availability: OpenStep
Description forthcoming.

### setEchosBullets:

- (void) setEchosBullets: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

# Software documentation for the NSSecureTextFieldCell class

## NSSecureTextFieldCell : NSTextFieldCell

> Declared in:
>   AppKit/NSSecureTextField.h

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -echosBullets
- -setEchosBullets:

### echosBullets

- (BOOL) echosBullets;
Availability: OpenStep
Description forthcoming.

### setEchosBullets:

- (void) setEchosBullets: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSSecureTextFieldCell Class

### _echosBullets

@protected BOOL _echosBullets;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up